#
# spec file for package gdb (Version 5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  readline-devel tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         gdb
BuildRoot:    /var/tmp/gdb-root
Copyright:    GPL
Group:        Development/Debuggers
Autoreqprov:  on
Version:      5.0
Release:      180
Summary:      The GNU debugger
Source: gdb+dejagnu-20010316.tar.bz2
Patch: gdb+dejagnu-20010316.dif
Patch1: gdb-alpha.patch

%description
You can use GDB to debug programs written in C, C++, and Modula-2.
GNU Fortran 77 is also partially included.

Authors:
--------
    Doug Evans <dje@cygnus.com> 
    Fred Fish <fnf@cygnus.com> 
    Ian Lance Taylor <ian@cygnus.com> 
    J.T. Conklin <jtc@cygnus.com> 
    Jason Molenda <crash@cygnus.com> 
    Jeffrey A. Law <law@cygnus.com> 
    Jim Kingdon <kingdon@cygnus.com> 
    Kung Hsu <kung@cygnus.com> 
    Michael Meissner <meissner@cygnus.com> 
    Per Bothner <bothner@cygnus.com> 
    Peter Schauer <pes@regent.e-technik.tu-muenchen.de> 
    Rob Savoye <rob@cygnus.com> 
    Stan Shebs <shebs@cygnus.com> 
    Steve Chamberlain <sac@cygnus.com> 
    Stu Grossman <grossman@cygnus.com>

SuSE series: d

%prep
%setup -q -n gdb+dejagnu-20010316
%patch
%patch1 -p1
rm -rf dejagnu tcl expect sim utils

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{_prefix} --infodir=%{_infodir} \
	    --mandir=%{_mandir}  %{_target_cpu}-suse-linux
make
make info

%install
rm -rf  $RPM_BUILD_ROOT
make install install-info \
     prefix=$RPM_BUILD_ROOT%{_prefix} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_infodir}/bfd*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB gdb/README gdb/NEWS
%{_bindir}/gdb
%{_mandir}/man1/gdb.1.gz
%{_infodir}/gdb.info*.gz
%{_infodir}/gdbint.info*.gz
%{_infodir}/stabs.info*.gz
%{_infodir}/mmalloc.info*.gz

%changelog -n gdb
* Sat Aug 18 2001 - schwab@suse.de
- Update to gdb snapthot 20010316.
* Fri May 18 2001 - schwab@suse.de
- Include ia64 warning patches (from nadvornik@suse.cz).
* Thu Apr 12 2001 - schwab@suse.de
- Remove declaration of tilde_expand, now in readline header.
* Sun Apr 01 2001 - schwab@suse.de
- Fix hardware watchpoints on ia64.
* Fri Mar 30 2001 - schwab@suse.de
- Fix crash on info architecture (#6865).
* Wed Mar 28 2001 - schwab@suse.de
- Use installed readline library.
* Tue Mar 06 2001 - schwab@suse.de
- Remove some ia64 hacks.
* Tue Dec 12 2000 - schwab@suse.de
- Improve handling of breakpoints in shared libraries.
* Fri Nov 17 2000 - kukuk@suse.de
- Update to working gdb snapshot
* Wed Sep 27 2000 - fober@suse.de
- s390: added s390-sigregs-SuSE.patch
* Thu Sep 14 2000 - fober@suse.de
- s390: incorporate new ibm patches for gdb 5.0
* Wed Sep 06 2000 - fober@suse.de
- s390: incorporate ibm patches for gdb 5.0
* Fri Jun 30 2000 - kukuk@suse.de
- Add gdb-5.0
* Tue Apr 04 2000 - bk@suse.de
- s390 team added s390 support
* Tue Mar 21 2000 - schwab@suse.de
- Fix core dump reading (#2586).
* Fri Feb 04 2000 - kukuk@suse.de
- Add patches for PPC
- Move /usr/info -> /usr/share/info
* Mon Dec 06 1999 - kukuk@suse.de
- Remove gdb 4.17
- Add gdb 4.18 fixes for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - kukuk@suse.de
- Use RPM values for CFLAGS and configure
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Mon Aug 23 1999 - kukuk@suse.de
- Add gdb 4.18 thread patch from RH
* Mon Jul 19 1999 - florian@suse.de
- add gdb-4.17.0.12 as /usr/bin/gdb-4.17
* Wed Jul 07 1999 - kukuk@suse.de
- update to 4.18 using diff from jurix
* Mon Feb 22 1999 - ro@suse.de
- update to 4.17.0.11 using diff from jurix
* Thu Jan 21 1999 - ro@suse.de
- update to 4.17.0.8
* Thu Oct 01 1998 - ro@suse.de
- update to 4.17.0.4 using jurix-diff
* Tue Sep 15 1998 - ro@suse.de
- hacked for GLIBC: include sys/ucontext and sys/ptrace where needed
- catch strup redeclarations
- cleaned up patch-sequence
* Wed Oct 29 1997 - florian@suse.de
- fix <sys/procfs.h> in libc to correctly support core-files
- add bug-fix to read symbols from dynamic symbol tables
- apply all patches from debian gdb-4.16-11
* Thu Jan 02 1997 - florian@suse.de
  Neue Version 4.16.
  gdb kompiliert nur mit libc 5.4.7 richtig. Mit 5.2.18 kann gdb
  keine core-files lesen.
  Ich waere dafuer, einfach das Binary von libc 5.4.7 zu benutzen.
  Wird schon funktionieren...
